---
title: File.getAsDataURL()
slug: Web/API/File/getAsDataURL
tags:
  - API
  - File API
  - Files
  - Method
  - Non-standard
  - Obsolete
  - Reference
---
<div>{{APIRef("File API") }}</div>

<p>{{non-standard_header}}</p>

<p>{{deprecated_header(7.0)}}</p>

<h2 id="Summary">Summary</h2>

<p>The getAsDataURL provides a <a href="/en-US/docs/data_URIs"><code>data:</code></a> URL that encodes the entire contents of the referenced file.</p>

<div class="note">
<p><strong>Note:</strong> This method is obsolete; you should use the {{domxref("FileReader")}} method {{domxref("FileReader.readAsDataURL","readAsDataURL()")}} instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre>var url = <var>instanceOfFile</var>.getAsDataURL();</pre>

<h3 id="Returns">Returns</h3>

<p>A string representing a <a href="/en-US/docs/data_URIs"><code>data:</code></a> URL</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// fileInput is a HTMLInputElement: &lt;input type="file" id="myfileinput" multiple&gt;
var fileInput = document.getElementById("myfileinput");

// files is a FileList object (similar to NodeList)
var files = fileInput.files;

// array with acceptable file types
var accept = ["image/png"];

// img is a HTMLImgElement: &lt;img id="myimg"&gt;
var img = document.getElementById("myimg");

// if we accept the first selected file type
if (accept.indexOf(files[0].mediaType) &gt; -1) {
  // display the image
  // same as &lt;img src="data:image/png,&lt;imagedata&gt;"&gt;
  img.src = files[0].getAsDataURL();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("File")}}</li>
 <li>{{domxref("FileReader")}}</li>
</ul>
